com.amazonaws.services.simpleworkflow.model

## Class DeprecateWorkflowTypeRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.simpleworkflow.model.DeprecateWorkflowTypeRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class DeprecateWorkflowTypeRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`DeprecateWorkflowTypeRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeprecateWorkflowTypeRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDomain()` The name of the domain in which the workflow type is registered.
`WorkflowType` `getWorkflowType()` The workflow type to deprecate.
`int` `hashCode()`
`void` `setDomain(String domain)` The name of the domain in which the workflow type is registered.
`void` `setWorkflowType(WorkflowType workflowType)` The workflow type to deprecate.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeprecateWorkflowTypeRequest` `withDomain(String domain)` The name of the domain in which the workflow type is registered.
`DeprecateWorkflowTypeRequest` `withWorkflowType(WorkflowType workflowType)` The workflow type to deprecate.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeprecateWorkflowTypeRequest

    public DeprecateWorkflowTypeRequest()

### Method Detail

#### setDomain

    public void setDomain(String domain)

The name of the domain in which the workflow type is registered.

Parameters:
  `domain` - The name of the domain in which the workflow type is registered.

#### getDomain

    public String getDomain()

The name of the domain in which the workflow type is registered.

Returns:
  The name of the domain in which the workflow type is registered.

#### withDomain

    public DeprecateWorkflowTypeRequest withDomain(String domain)

The name of the domain in which the workflow type is registered.

Parameters:
  `domain` - The name of the domain in which the workflow type is registered.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowType

    public void setWorkflowType(WorkflowType workflowType)

The workflow type to deprecate.

Parameters:
  `workflowType` - The workflow type to deprecate.

#### getWorkflowType

    public WorkflowType getWorkflowType()

The workflow type to deprecate.

Returns:
  The workflow type to deprecate.

#### withWorkflowType

    public DeprecateWorkflowTypeRequest withWorkflowType(WorkflowType workflowType)

The workflow type to deprecate.

Parameters:
  `workflowType` - The workflow type to deprecate.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DeprecateWorkflowTypeRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`